Summary: OpenFabrics Alliance InfiniBand MAD library
Name: libibmad
Version: 1.3.8
Release: 1%{?dist}
License: GPLv2 or BSD
Group: System Environment/Libraries
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
Source: http://www.openfabrics.org/downloads/management/%{name}-%{version}.tar.gz
Url: http://openfabrics.org/
BuildRequires: libibumad-devel = 1.3.7, libtool
Requires(post): /sbin/ldconfig
Requires(postun): /sbin/ldconfig
ExcludeArch: s390 s390x

%description
libibmad provides low layer IB functions for use by the IB diagnostic
and management programs. These include MAD, SA, SMP, and other basic
IB functions. 

%package devel
Summary: Development files for the libibmad library
Group: System Environment/Libraries
Requires: %{name} = %{version}-%{release}, libibumad-devel

%description devel
Development files for the libibmad library.

%package static
Summary: Static version of the libibmad library
Group: System Environment/Libraries
Requires: %{name}-devel = %{version}-%{release}

%description static
Static version of the libibmad library

%prep
%setup -q

%build
%configure
make %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT
make DESTDIR=${RPM_BUILD_ROOT} install
# remove unpackaged files from the buildroot
rm -f $RPM_BUILD_ROOT%{_libdir}/*.la

%clean
rm -rf $RPM_BUILD_ROOT

%post -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files
%defattr(-,root,root)
%{_libdir}/libibmad*.so.*
%doc AUTHORS COPYING ChangeLog

%files devel
%defattr(-,root,root)
%{_libdir}/libibmad.so
%{_includedir}/infiniband/*.h

%files static
%defattr(-,root,root)
%{_libdir}/libibmad.a

%changelog
* Thu Aug 09 2012 Doug Ledford <dledford@redhat.com> - 1.3.8-1.el5
- Backport changes from rhel6.3 to rhel5.9
- Related: bz771441

* Tue Dec 22 2009 Doug Ledford <dledford@redhat.com> - 1.3.3-1.el5
- Update to latest upstream version
- Related: bz518218

* Thu Apr 16 2009 Doug Ledford <dledford@redhat.com> - 1.2.3-1
- Update to ofed 1.4.1-rc3 version
- Related: bz459652

* Tue Sep 16 2008 Doug Ledford <dledford@redhat.com> - 1.2.1-1
- Update to latest upstream version
- Resolves: bz451463

* Tue Apr 01 2008 Doug Ledford <dledford@redhat.com> - 1.1.6-1
- Update to OFED 1.3 final version
- Related: bz428197

* Thu Jan 24 2008 Doug Ledford <dledford@redhat.com> - 1.1.5-1
- Build against latest libibumad
- Related: bz428197

* Fri Jan 18 2008 Doug Ledford <dledford@redhat.com> - 1.1.5-0.1
- Initial import from upstream
